Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

53 lines (41 sloc) 1.982 kb
0.5.4
- Fixed migration problems when using postgres
0.5.3
- optimize load_paths, use uniq!
- correct bad SQL for recording migrations in plugin_schema_migrations
0.5.0
- Rails 2.2.3 support
- routes.rb becomes desert_routes.rb
- Added Desert::Manager.require_all_files and Desert::Manager.all_files
0.3.4
- Fix problems with plugin migrations numbered higher than 7
- Cleanups to specs: cruise rake task, improved docs, and specs run on OSX
0.3.3
- Fixed [#20770] Can't get specs to run for desert-based plugin bug (http://rubyforge.org/tracker/index.php?func=detail&aid=20770&group_id=6426&atid=24920)
- Fixed [#21564] Can't see desert rake tasks (http://rubyforge.org/tracker/index.php?func=detail&aid=21564&group_id=6426&atid=24920)
- Renamed plugin_schema_info to plugin_schema_migrations when using Rails >= 2.1
- Migrater#migrated are now properly implemented for plugin_schema_migrations for Rails >= 2.1.0
0.3.2
- Fixed exception in testspec.rake when rspec is not loaded
- Fix template loading on Edge Rails and on Rails 2.1.0
0.3.1
- Fix migration issue with Rails 2.1.0 using timestamps.
0.3.0
- Fixed script/destroy not removing the routes [From Jeff Dean]
- gem includes the Rails generator files [From Jeff Dean]
- Fixed readding the route to config/routes.rb in the script/destroy task [From Jeff Dean]
- Github now properly formats readme [From Jeff Dean]
- Updated the gemspec so rdoc includes it and updated it to add installation and setup instructions [From Jeff Dean]
- Removed sample route from generator [From Jeff Dean]
0.2.1
- Fixed ActionMailer rendering in Rails 1.99.0
0.2.0
- Works with edge Rails
- Removed Desert::Plugin#up_to_date?
- Removed Migrator#latest_version
0.1.1
- Works with edge Rails
- Fixed double loading issue with not fully expanded load_paths.
0.1.0
- Fixed [#13346] ActionController::Base.helper raises error when helper is only in plugin
- Desert does not require files that have been required before Desert was loaded
Jump to Line
Something went wrong with that request. Please try again.